## elinks 0.9.3-1ubuntu1

=== debian/changelog ===
elinks (0.9.3-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Fri,  7 Jan 2005 13:46:06 +0100

elinks (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Peter Gervai <grin@tolna.net>  Sun, 21 Nov 2004 14:08:25 +0100

elinks (0.9.1+0.9.2pre4-1ubuntu1) hoary; urgency=low

  * Don't build-dep on type-handling

 -- Thom May <thom@canonical.com>  Wed, 27 Oct 2004 13:38:43 +0100
  

elinks (0.9.1+0.9.2rc4-2) unstable; urgency=low

  * fix naming (it's rc [release candidate] and not pre[release])
  * fix rules to use /etc/elinks for configure (closes: #267962)

 -- Peter Gervai <grin@tolna.net>  Wed, 11 Aug 2004 15:57:53 +0200

elinks (0.9.1+0.9.2pre4-1) unstable; urgency=low

  * new upstream version 0.9.2pre4
  * remove kderemove from menu (closes: #264402)
  * recompiled with gnutls11 (closes: #263633)
  * FTBFS on GNU/Hurd (and GNU/k*BSD) (closes: #262350)

 -- Peter Gervai <grin@tolna.net>  Sun,  8 Aug 2004 23:48:47 +0200

elinks (0.9.1+0.9.2pre3-1) unstable; urgency=low

  * New upstream pre-release 0.9.2pre3. (closes: #262306)
  * Don't read nonexistant hooks.lua (closes: #231760)
  * README.Debian updated by "I forgot to read the docs" 
    questions (closes: #209046, #234589)
  * fix accept-charset problem (closes: #242524)
  * Updated build-deps based on buildd's hints, removed xlib-dev
    (closes: #231646)
  * Changed 'make prefix=' to 'make DESTDIR=' in rules (closes: #234991)
  * Removed outdated example dir (now included upstream)
  * Removed debconf warning about cookies (closes: #235816)

 -- Peter Gervai <grin@tolna.net>  Fri, 30 Jul 2004 23:38:42 +0200

elinks (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #226941)
  * Features: Standard, IPv6, gzip, bzip2, SSL (GnuTLS), MIME (Option
    system, Mailcap, Mimetypes files), Bookmarks, Cookies, Forms History, 
    Global History, URI rewrite, Scripting (Lua)
  * Droppend dep on xlibs (no xterm title restore) (Partially fixing
    #218453)
  * Depends on newer gnutls10 and liblua50

 -- Peter Gervai <grin@tolna.net>  Wed, 21 Jan 2004 22:13:45 +0100

elinks (0.4.2.99-1) unstable; urgency=low

  * New upstream release 0.4.3rc2
  * Manpage fixed (Closes: #210305, #212491)
  * No segfault when deleting bookmarks (Closes: #193119)
  * Install www-browser alternative (Closes: #184981)
  * ~user handled better (Closes: #181731)
  * Overwrite truncates file first (Closes: #186052)
  * Links/elinks selection now handled automagically (Closes: #168692)
  * Elinks starts with the "goto URL" dialog, not a blank 
    screen (Closes: #206932)
  * Remove CVS entries from package
  * Numerous upstream bugfixes.

 -- Peter Gervai <grin@tolna.net>  Thu,  9 Oct 2003 00:24:41 +0200

elinks (0.4.2-1) unstable; urgency=low

  * New upstream release 0.4.2.
  * New style config UI (Closes: #167928, #169908)
  * Includes spanish debconf template (Closes: #158576)
  * Fixes linking problem with some renegade lib (Closes: #176401)
  * Fixes 'bad url syntax' problem (Closes: #177335)
  * Defines as /usr/bin/links alternative (Closes: #164058, #168692)

 -- Peter Gervai <grin@tolna.net>  Thu, 30 Jan 2003 01:09:34 +0100

elinks (0.3.20021004-1) unstable; urgency=low

  * New upstream release 0.4pre17
  * Config moved into /etc/elinks/ (closes: #158666)

 -- Peter Gervai <grin@tolna.net>  Fri,  4 Oct 2002 15:58:19 +0200

elinks (0.3.20020825-2) unstable; urgency=low

  * spanish debconf translation (closes: #158576)

 -- Peter Gervai <grin@tolna.net>  Wed, 28 Aug 2002 12:04:19 +0200

elinks (0.3.20020825-1) unstable; urgency=low

  * New upstream version 0.4pre14
  * Fixed a bug when elinks falls into infinite waiting loops
  * Compiled against new gnutls package (patched upstream to
    use gnutls/*.h... it used to work...)

 -- Peter Gervai <grin@tolna.net>  Sun, 25 Aug 2002 12:07:21 +0200

elinks (0.3.20020808-1) unstable; urgency=low

  * New upstream version 0.4pre12
  * Fixed lots of bugs, including stopping in the middle of a long 
    transfer ("slashdot problem", closes: #154938), cookie expiration
    (closes: #154664), self referer problem (closes: #154778).
  * Removed duplicate contrib/ dirs (bug in upstream's cvs, Closes: #154860)

 -- Peter Gervai <grin@tolna.net>  Thu,  8 Aug 2002 12:24:39 +0200

elinks (0.3.20020711-2) unstable; urgency=low

  * Disabled default cookie saving to disk due Bug#154664, because
    ELinks does not expire cookies all the time, and it causes 
    problems with remembered logins which should have been forgotten.
    You have to change ~/.elinks/elinks.conf though.

 -- Peter Gervai <grin@tolna.net>  Mon, 29 Jul 2002 22:21:02 +0200

elinks (0.3.20020711-1) unstable; urgency=low

  * Version 0.4pre12 upstream.
  * Package separated from links. This package is _preferred_ to
    the package 'links', because this contains plenty of useful
    features, including cookies (save too), referer handling,
    advanced configuration, LUA script language, and so on.
  * Before reporting bugs please check against the bugs of
    'links' and 'links-ssl'.  Thank you.

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 17:38:09 +0200

links-ssl (0.96.20020711-1) unstable; urgency=low

  * New upstream release (v0.7pre12)
  * Fixes DNS bug (closes: ...)
  * Fix some crashes

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 12:28:17 +0200

links-ssl (0.96.20020607-1) unstable; urgency=low

  * New upstream release (v0.4pre7)

 -- Peter Gervai <grin@tolna.net>  Fri,  7 Jun 2002 17:28:18 +0000

links-ssl (0.96.20020409-2) unstable; urgency=low

  * Using new lua libraries (liblua40 / liblualib40) (closes: #141327)
  * Updated Readme (closes: #141542)

 -- Peter Gervai <grin@Tolna.net>  Mon, 15 Apr 2002 18:42:32 +0200

links-ssl (0.96.20020409-1) unstable; urgency=low

  * New upstream version (eLinks 04.pre5)
  * Again, plenty of bugs fixed and some features added (including,
    but not limited to history search and selection). 

