=== src/scripting/smjs/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS = smjs.o core.o global_object.o hooks.o elinks_object.o cache_object.o \
       view_state_object.o bookmarks.o keybinding.o

include $(top_srcdir)/Makefile.lib
