=== src/scripting/python/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(PYTHON_CFLAGS)

OBJS = python.o hooks.o core.o

include $(top_srcdir)/Makefile.lib
